var AppDispatcher = require('../dispatchers/AppDispatcher');
var AppConstants = require('../constants/AppConstants');

var AppActions = {
  addMemberToProject: function(project, login) {
    AppDispatcher.dispatch({
      actionType: AppConstants.ADD_MEMBER,
      project: project,
      login: login
    });
  },

  changeLocation: function(newLocation) {
    AppDispatcher.dispatch({
      actionType: AppConstants.CHANGE_LOCATION,
      location: newLocation
    })
  },

  listDepots: function() {
    AppDispatcher.dispatch({
      actionType: AppConstants.LIST_DEPOTS
    });
  },

  listDir: function(dir) {
    AppDispatcher.dispatch({
      actionType: AppConstants.LIST_DIR,
      dir: dir
    });
  },

  listMyProjects: function() {
    AppDispatcher.dispatch({
      actionType: AppConstants.LIST_MY_PROJECTS
    });
  },

  listAllProjects: function() {
    AppDispatcher.dispatch({
      actionType: AppConstants.LIST_ALL_PROJECTS
    });
  },

  logIn: function(user, password) {
    AppDispatcher.dispatch({
      actionType: AppConstants.LOG_IN,
      user: user,
      password: password
    });
  },

  logOut: function() {
    AppDispatcher.dispatch({
      actionType: AppConstants.LOG_OUT
    });
  },

  createProject: function(name, description, depotDir) {
    AppDispatcher.dispatch({
      actionType: AppConstants.CREATE_PROJECT,
      name: name,
      description: description,
      depotDir: depotDir
    });
  }
};

module.exports = AppActions;
